query FeeSummaries($input: FeeSummaryInput!) {
feeSummaries(input: $input) {
items {
acceptor {
businessName
feeSummaries
id
name
reference
}
billableEventAmount
billableEventType
feeActivityDate
feeAmount
feeCount
feeDescription
feeName
feeProfileId
feeRateMultiplier
feeRateUnitAmount
feeType
fundingCurrency
fundsReleaseDate
fundsTransferId
merchantCategory
organization {
businessName
capabilities
feeSummaries
id
legalName
name
phoneNumber
}
paymentBrand
paymentFundingSource
paymentProduct
perspective
processingNetwork
productPillar
}
pageInfo {
hasNextPage
hasPreviousPage
}
}
}
{
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"acceptorId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"feeActivityDate": "example",
"feeType": "example"
}
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "query FeeSummaries($input: FeeSummaryInput!) {\n feeSummaries(input: $input) {\n items {\n acceptor {\n businessName\n feeSummaries\n id\n name\n reference\n }\n billableEventAmount\n billableEventType\n feeActivityDate\n feeAmount\n feeCount\n feeDescription\n feeName\n feeProfileId\n feeRateMultiplier\n feeRateUnitAmount\n feeType\n fundingCurrency\n fundsReleaseDate\n fundsTransferId\n merchantCategory\n organization {\n businessName\n capabilities\n feeSummaries\n id\n legalName\n name\n phoneNumber\n }\n paymentBrand\n paymentFundingSource\n paymentProduct\n perspective\n processingNetwork\n productPillar\n }\n pageInfo {\n hasNextPage\n hasPreviousPage\n }\n }\n}",
"variables": {
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"acceptorId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"feeActivityDate": "example",
"feeType": "example"
}
}
}
}'
{
"data": {
"feeSummaries": {
"items": [
{
"acceptor": {
"allocations": "example",
"authorizationSummaries": "example",
"billingDescriptor": "CLACKSWORTH KEYBOARDS",
"businessName": "Clacksworth Keyboards",
"fees": "example",
"feeSummaries": "example",
"fundingAchReturns": "example",
"fundingDisputeEvents": "example",
"fundingSummaries": "example",
"fundingTransactions": "example",
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Ben Torres",
"paymentTransactions": "example",
"paymentTransactionSummaries": "example",
"reference": "example"
},
"billableEventAmount": 0,
"billableEventType": "UNKNOWN",
"feeActivityDate": "2026-01-15",
"feeAmount": 0,
"feeCount": 0,
"feeDescription": "example",
"feeName": "example",
"feeProfileId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"feeRateMultiplier": 0,
"feeRateUnitAmount": 0,
"feeType": "SETTLEMENT",
"fundingCurrency": "example",
"fundsReleaseDate": "2026-01-15",
"fundsTransferId": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"merchantCategory": "example",
"organization": {
"acceptorApplicationCounts": [
"example"
],
"acceptors": "example",
"achNotificationsOfChange": "example",
"achReturns": "example",
"allocations": "example",
"allowedMerchantCategories": [
"example"
],
"authorizationSummaries": "example",
"businessAddress": "example",
"businessName": "Clacksworth Keyboards",
"capabilities": [
"ACQUIRING"
],
"fees": "example",
"feeSummaries": "example",
"fundingAchReturns": "example",
"fundingDisbursementReturns": "example",
"fundingDisputeEvents": "example",
"fundingSummaries": "example",
"fundingTransactions": "example",
"id": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"legalName": "example",
"name": "Ben Torres",
"paymentTransactions": "example",
"paymentTransactionSummaries": "example",
"phoneNumber": "example",
"reportAvailability": [
"example"
],
"settings": "example"
},
"paymentBrand": "VISA",
"paymentFundingSource": "UNKNOWN",
"paymentProduct": "example",
"perspective": "PARTNER",
"processingNetwork": "VISA",
"productPillar": "BOARDING"
}
],
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true
}
}
}
}
Reporting
feeSummaries
query FeeSummaries($input: FeeSummaryInput!) {
feeSummaries(input: $input) {
items {
acceptor {
businessName
feeSummaries
id
name
reference
}
billableEventAmount
billableEventType
feeActivityDate
feeAmount
feeCount
feeDescription
feeName
feeProfileId
feeRateMultiplier
feeRateUnitAmount
feeType
fundingCurrency
fundsReleaseDate
fundsTransferId
merchantCategory
organization {
businessName
capabilities
feeSummaries
id
legalName
name
phoneNumber
}
paymentBrand
paymentFundingSource
paymentProduct
perspective
processingNetwork
productPillar
}
pageInfo {
hasNextPage
hasPreviousPage
}
}
}
{
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"acceptorId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"feeActivityDate": "example",
"feeType": "example"
}
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "query FeeSummaries($input: FeeSummaryInput!) {\n feeSummaries(input: $input) {\n items {\n acceptor {\n businessName\n feeSummaries\n id\n name\n reference\n }\n billableEventAmount\n billableEventType\n feeActivityDate\n feeAmount\n feeCount\n feeDescription\n feeName\n feeProfileId\n feeRateMultiplier\n feeRateUnitAmount\n feeType\n fundingCurrency\n fundsReleaseDate\n fundsTransferId\n merchantCategory\n organization {\n businessName\n capabilities\n feeSummaries\n id\n legalName\n name\n phoneNumber\n }\n paymentBrand\n paymentFundingSource\n paymentProduct\n perspective\n processingNetwork\n productPillar\n }\n pageInfo {\n hasNextPage\n hasPreviousPage\n }\n }\n}",
"variables": {
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"acceptorId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"feeActivityDate": "example",
"feeType": "example"
}
}
}
}'
{
"data": {
"feeSummaries": {
"items": [
{
"acceptor": {
"allocations": "example",
"authorizationSummaries": "example",
"billingDescriptor": "CLACKSWORTH KEYBOARDS",
"businessName": "Clacksworth Keyboards",
"fees": "example",
"feeSummaries": "example",
"fundingAchReturns": "example",
"fundingDisputeEvents": "example",
"fundingSummaries": "example",
"fundingTransactions": "example",
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Ben Torres",
"paymentTransactions": "example",
"paymentTransactionSummaries": "example",
"reference": "example"
},
"billableEventAmount": 0,
"billableEventType": "UNKNOWN",
"feeActivityDate": "2026-01-15",
"feeAmount": 0,
"feeCount": 0,
"feeDescription": "example",
"feeName": "example",
"feeProfileId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"feeRateMultiplier": 0,
"feeRateUnitAmount": 0,
"feeType": "SETTLEMENT",
"fundingCurrency": "example",
"fundsReleaseDate": "2026-01-15",
"fundsTransferId": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"merchantCategory": "example",
"organization": {
"acceptorApplicationCounts": [
"example"
],
"acceptors": "example",
"achNotificationsOfChange": "example",
"achReturns": "example",
"allocations": "example",
"allowedMerchantCategories": [
"example"
],
"authorizationSummaries": "example",
"businessAddress": "example",
"businessName": "Clacksworth Keyboards",
"capabilities": [
"ACQUIRING"
],
"fees": "example",
"feeSummaries": "example",
"fundingAchReturns": "example",
"fundingDisbursementReturns": "example",
"fundingDisputeEvents": "example",
"fundingSummaries": "example",
"fundingTransactions": "example",
"id": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"legalName": "example",
"name": "Ben Torres",
"paymentTransactions": "example",
"paymentTransactionSummaries": "example",
"phoneNumber": "example",
"reportAvailability": [
"example"
],
"settings": "example"
},
"paymentBrand": "VISA",
"paymentFundingSource": "UNKNOWN",
"paymentProduct": "example",
"perspective": "PARTNER",
"processingNetwork": "VISA",
"productPillar": "BOARDING"
}
],
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true
}
}
}
}
Query
Arguments
FeeSummaryInput!
required
Show child attributes
Show child attributes
[FeeSummarySortTypeInput!]
Show child attributes
Show child attributes
FeeSummarySortField!
required
SortingEnumType!
required
See SortingEnumType
PagingInput!
required
See PagingInput
FeeSummaryFilterInput!
required
Show child attributes
Show child attributes
GuidFilterInput
See GuidFilterInput
DateRangeFilterInput
EnumFilterInputOfAllocationFeeTypeInput
String
DateRangeFilterInput
GuidFilterInput
See GuidFilterInput
EnumFilterInputOfPaymentBrandInput
Return type
FeeSummaryCollection
[FeeSummary!]!
required
Show child attributes
Show child attributes
Decimal
The total amount of the billable type and used to calculate the Fee when a fee rate multiplier is part of the fee rate..
BillableType
Billable type of the feeSee BillableType
Date!
required
The date the fee was applied
Decimal
The total amount of fees applied.
Int
The number of fees
String
A detailed description of the fee or program.
String
The name of the fee, interchange or wholesale program.
UUID!
required
A unique identifier created by Tesouro and assigned to each fee allocation.
Decimal
A component of the fee rate; the decimal used to multiply against the transaction amount to determine a ‘percent’ cost.
Decimal
A component of the fee rate; the unit amount charged per item.
AllocationType
The type of fee, e.g., Interchange, Network, Processor, etc.See AllocationType
String
The currency of the funded transaction, formatted in ISO 4217 alphabetic code.
Date
The date that Tesouro releases the funds from its bank account to the recipient’s bank account.
UUID!
required
A unique identifier created by Tesouro and assigned to the transfer of money to a bank account, that identifies a cohort of funded transactions making up the transfer.
String
Unique ISO four digit values used to classify merchants and their transactions into specific categories based on the type of business, trade or services supplied. NOTE: This field will present a null, not applicable, or empty value if the fee is not tied to a specific transaction.
Organization!
required
See Organization
PaymentBrand
Specifies which payment brand was used, e.g., Visa, Mastercard, Discover, American Express, etc. NOTE: This field will present a null, not applicable, or empty value if the fee is not tied to a specific transaction.See PaymentBrand
FundingSource
Specifies the source of the card customer’s funds , e.g., credit, debit, pre-paid. NOTE: This field will present a null, not applicable, or empty value if the fee is not tied to a specific transaction.See FundingSource
String
The product name according to the payment brand (e.g. World Elite Mastercard card) NOTE: This field will present a null, not applicable, or empty value if the fee is not tied to a specific transaction.
Perspective
The perspective of the fee, which can be either ‘Acceptor’ or ‘Partner’. This field is used to determine the perspective from which the fee is reported.See Perspective
Network
The payment network that the transaction was sent across, which may be unafilliated with the card brand. NOTE: This field will present a null, not applicable, or empty value if the fee is not tied to a specific transaction.See Network
ProductPillar
The Tesouro product pillar that this fee applies to, e.g., Transaction processing; Billing & Funding; Risk, Fraud, & Dispute management; Reporting; Boarding;See ProductPillar
query FeeSummaries($input: FeeSummaryInput!) {
feeSummaries(input: $input) {
items {
acceptor {
businessName
feeSummaries
id
name
reference
}
billableEventAmount
billableEventType
feeActivityDate
feeAmount
feeCount
feeDescription
feeName
feeProfileId
feeRateMultiplier
feeRateUnitAmount
feeType
fundingCurrency
fundsReleaseDate
fundsTransferId
merchantCategory
organization {
businessName
capabilities
feeSummaries
id
legalName
name
phoneNumber
}
paymentBrand
paymentFundingSource
paymentProduct
perspective
processingNetwork
productPillar
}
pageInfo {
hasNextPage
hasPreviousPage
}
}
}
{
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"acceptorId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"feeActivityDate": "example",
"feeType": "example"
}
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "query FeeSummaries($input: FeeSummaryInput!) {\n feeSummaries(input: $input) {\n items {\n acceptor {\n businessName\n feeSummaries\n id\n name\n reference\n }\n billableEventAmount\n billableEventType\n feeActivityDate\n feeAmount\n feeCount\n feeDescription\n feeName\n feeProfileId\n feeRateMultiplier\n feeRateUnitAmount\n feeType\n fundingCurrency\n fundsReleaseDate\n fundsTransferId\n merchantCategory\n organization {\n businessName\n capabilities\n feeSummaries\n id\n legalName\n name\n phoneNumber\n }\n paymentBrand\n paymentFundingSource\n paymentProduct\n perspective\n processingNetwork\n productPillar\n }\n pageInfo {\n hasNextPage\n hasPreviousPage\n }\n }\n}",
"variables": {
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"acceptorId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"feeActivityDate": "example",
"feeType": "example"
}
}
}
}'
{
"data": {
"feeSummaries": {
"items": [
{
"acceptor": {
"allocations": "example",
"authorizationSummaries": "example",
"billingDescriptor": "CLACKSWORTH KEYBOARDS",
"businessName": "Clacksworth Keyboards",
"fees": "example",
"feeSummaries": "example",
"fundingAchReturns": "example",
"fundingDisputeEvents": "example",
"fundingSummaries": "example",
"fundingTransactions": "example",
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Ben Torres",
"paymentTransactions": "example",
"paymentTransactionSummaries": "example",
"reference": "example"
},
"billableEventAmount": 0,
"billableEventType": "UNKNOWN",
"feeActivityDate": "2026-01-15",
"feeAmount": 0,
"feeCount": 0,
"feeDescription": "example",
"feeName": "example",
"feeProfileId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"feeRateMultiplier": 0,
"feeRateUnitAmount": 0,
"feeType": "SETTLEMENT",
"fundingCurrency": "example",
"fundsReleaseDate": "2026-01-15",
"fundsTransferId": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"merchantCategory": "example",
"organization": {
"acceptorApplicationCounts": [
"example"
],
"acceptors": "example",
"achNotificationsOfChange": "example",
"achReturns": "example",
"allocations": "example",
"allowedMerchantCategories": [
"example"
],
"authorizationSummaries": "example",
"businessAddress": "example",
"businessName": "Clacksworth Keyboards",
"capabilities": [
"ACQUIRING"
],
"fees": "example",
"feeSummaries": "example",
"fundingAchReturns": "example",
"fundingDisbursementReturns": "example",
"fundingDisputeEvents": "example",
"fundingSummaries": "example",
"fundingTransactions": "example",
"id": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"legalName": "example",
"name": "Ben Torres",
"paymentTransactions": "example",
"paymentTransactionSummaries": "example",
"phoneNumber": "example",
"reportAvailability": [
"example"
],
"settings": "example"
},
"paymentBrand": "VISA",
"paymentFundingSource": "UNKNOWN",
"paymentProduct": "example",
"perspective": "PARTNER",
"processingNetwork": "VISA",
"productPillar": "BOARDING"
}
],
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true
}
}
}
}
Was this page helpful?